<?php
namespace App\Modules\Modules\Domain\Structure;

abstract class StructureModule
{
    public function __construct(
        private string $name,
        private ParamModuleCollection $collection
    ) {
    }

    public function name()
    {
        return $this->name;
    }
    public function collection()
    {
        return $this->collection;
    }
}
